import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { ucapAnimations } from '../../animations';
import { FileEventJson } from '@ucap-webmessenger/protocol-event';
import { DeviceType } from '@ucap-webmessenger/core';

@Component({
  selector: 'ucap-binary-viewer',
  templateUrl: './binary-viewer.component.html',
  styleUrls: ['./binary-viewer.component.scss'],
  animations: ucapAnimations
})
export class BinaryViewerComponent implements OnInit {
  @Input()
  fileInfo: FileEventJson;

  @Input()
  downloadUrl: string;

  @Input()
  userSeq: number;

  @Input()
  deviceType: DeviceType;

  @Input()
  token: string;

  @Output()
  closed = new EventEmitter<void>();

  constructor() {}
  ngOnInit() {}
}
